
Redmine - Defect #25151

Copied issues cause wrong reports: Original issue is added to report list although search criteria

only match the copied issue and not the original issue

2017-02-22 09:38 - Astrid Krafczyk-Kralitschka

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.1.6

Description

Affected Version is 3.1.6stable 15842 (version is not in the drop-down..)

How to Reproduce - Simple Example

Issue 10 is copied

Newly created is issue 20

All changes to 20 are done AND the connection between 10 and 20 is deleted.

Assume 10 is closed on 01.01.17

Assume 20 is closed on 05.01.17

Now create a report including all issues closed between 05.01.17 and 10.01.17

This report includes issue 20 AND 10 -> NOK, completely wrong.

Same error when keeping the connection between original and copied isssue.

Seems that a connection between the issues remains in the database?  Found no way on UI to fix that problem. We're using a

workaround with negative filters "not in" but have to check every time if it works correctly. This is really time-consuming...

Related issues:

Is duplicate of Redmine - Patch #23764: closed_on field of copied issue is al... Closed

History

#1 - 2017-02-22 14:45 - Mischa The Evil

- Is duplicate of Patch #23764: closed_on field of copied issue is always set to source issue's value added

#2 - 2017-02-22 14:45 - Mischa The Evil

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Duplicate

- Affected version changed from 3.1.3 to 3.1.6

This duplicates what has been fixed by #23764, which was introduced in Redmine 3.1.7. Closing this issue as such.

Please upgrade your instance. If your issue persists, then please open a new one with all the info as outlined in submissions. Thanks for reporting

nevertheless.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/issues/23764
https://www.redmine.org/versions/120
https://www.redmine.org/projects/redmine/wiki/Submissions
http://www.tcpdf.org

